# dynuapi
Python wrapper per a la API de Dynu {d}DNS (servei DDNS), per a actualitzar-hi la IP pública de la Raspberry.

### requeriments

-   **Python 3**
-   Un compte d'usuari a [Dynu {d}DNS](https://www.dynu.com/en-US/ControlPanel/CreateAccount)  
-   Una Raspberry PI o compatible

### Ús:

1. Clonar aquest repositori en la Raspberry: `git clone https://git.mastodont.cat/spla/dynuapi.git`.

2. Canviar al directori: `cd dynuapi`

3. Crear l'entorn virtual de Python `python3.x -m venv .` (substituir la x per la versió que tinguis instal·lada, per exemple `python3.10 -m venv .`)

4. Activar l'entorn virtual: `source bin/activate`. 

5. Instal·lar les llibreries necesàries: `pip install -r requeriments.txt`.  

6. Executar el programa `python ipupdate.py` per a enviar la IP pública al servei DDNS.  

7. Programar crontab per a que actualitzi la IP pública cada 30 minuts:  

*/30	*	*	*	* cd /ruta/on/tinguem/ipupdate.py && source bin/activate && python ipupdate.py > /dev/null 

